2008-07-15  Joshua Lock  <josh@o-hand.com>

	* src/window-util.c:
	* src/window-util.h:
	These files where renamed to state-util.[ch] and should have been 
	removed with the last commit.

2008-07-08  Joshua Lock  <josh@o-hand.com>

	* src/Makefile.am:
	* src/main.c (on_save_clicked), (on_open_clicked):
	* src/state-util.c (get_filename), (get), (get_key_file),
	(save_key_file), (on_unmap), (window_bind_state),
	(get_last_directory), (set_last_directory):
	* src/state-util.h:
	Rename the window-util class to state-util and enhance it to store and
	retrieve the last used directory.
	Modify the open/save routines to open the file dialog at the last
	used directory and to store the last directory they access.

2008-07-02  Joshua Lock  <josh@o-hand.com>

	* data/oprofile-viewer.glade:
	Remove visible property from window.
	* src/Makefile.am:
	* src/main.c (main):
	* src/window-util.c (get_filename), (get), (get_key_file),
	(on_unmap), (window_bind_state):
	* src/window-util.h:
	Add window-util.[ch], stolen from Tasks, to save window state.

2008-07-02  Richard Purdie <rpurdie@openedhand.com>

	* src/client.c:
	* src/archive.c:
	* src/archive.h:
	* protocol/command.h:
	* protocol/response.h:
	* server/opserver.c:
	Add the mode field to the filestat structure allowing directories to
	be detected and ignored since recent oparchive seems to list them. 
	Increase the protocol version since the fields structure changed.

2008-07-01  Rob Bradford  <rob@openedhand.com>

	* src/report.c (report_generate_from_archive):
	Use --root in the localhost case in order to get the binaries (and in
	theory debug information.)

2008-06-30  Joshua Lock  <josh@o-hand.com>

	* src/main.c:
	Small fix so that the cancel button in the save dialog works.

2008-07-01  Rob Bradford  <rob@openedhand.com>:ChangeLog

2008-06-30  Rob Bradford  <rob@openedhand.com>

	* protocol/command.h:
	* protocol/response.h:
	Unbreak backward-compatability for the STATUS command so that we can
	inform the user that the version is too old.

2008-06-29  Rob Bradford  <rob@openedhand.com>

	* src/testparser.c (main):
	Fix lack of initialisation of the opui_config structure.

2008-06-26  Rob Bradford  <rob@openedhand.com>

	* protocol/command.h:
	* protocol/response.h:
	* server/opserver.c (server_response_new),
	(server_do_command_wrapper), (server_handle_command_start),
	(server_handle_command_config), (server_handle_command_stop),
	(server_handle_command_status), (server_handle_command_reset),
	(server_handle_command_archive), (server_parse_open_file),
	(server_handle_command_get), (server_handle_command_filestat),
	(server_handle_command_unknown), (server_handle_command),
	(server_handle_connection):
	* src/archive.c (archive_handle_response):
	* src/archive.h:
	* src/client.c (client_handle_response_status),
	(client_handle_response_config), (client_handle_response_stop),
	(client_handle_response_reset), (client_handle_response_start),
	(client_handle_response_archive), (client_handle_response_get),
	(client_handle_response_filestat), (client_channel_read_cb),
	(client_command_new), (client_send_command),
	(client_send_command_archive), (client_send_command_get),
	(client_send_command_filestat), (client_send_command_start),
	(client_send_command_config), (client_send_command_reset),
	(client_send_command_stop), (client_send_command_status):
	* src/client.h:
	* src/main.c (main_status_response_cb):
	* src/main.h:
	Rework client-server protocol.

2008-06-06  Ross Burton  <ross@openedhand.com>

	* data/oprofile-viewer.desktop.in:
	Remove Encoding key.

2008-06-03  Rob Bradford  <rob@openedhand.com>

	* server/opserver.c (server_handle_command_config),
	(server_parse_open_file), (server_handle_connection):
	* src/client.c (client_channel_read_cb):
	Fix compiler warnings: Cast protocol buffers correctly. 
	Fix ambiguous if..else.. with bracketing.

2008-06-03  Ross Burton  <ross@openedhand.com>

	* configure.ac:
	Look for avahi-ui

	* src/Makefile.am:
	* src/avahi-ui.[ch]:
	Remove avahi-ui source, use the library.

	* src/main.c:
	Update.

2008-02-18  Rob Bradford  <rob@openedhand.com>

	* AUTHORS:
	* NEWS:
	* configure.ac:
	Release 0.2.0.

2008-02-15  Rob Bradford  <rob@openedhand.com>

	* README:
	Update required version information for OProfile.

2008-02-15  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (on_options_clicked), (main_load_default_config),
	(main):
	Add command line options to pre-specify the supplementary binary
	search path.

2008-02-11  Richard Purdie <rpurdie@openedhand.com>

	* README:
	Update README to state the best version of oprofile to use.

2008-02-11  Richard Purdie <rpurdie@openedhand.com>

	* protocol/command.h:
	Fix the protocol for 64/32 bit machine interaction
	
	* server/opserver.c:
	Add a sanity check for the length parameter

2008-02-11  Richard Purdie <rpurdie@openedhand.com>

	* src/avahi-ui.c:
	Fix header name.

2008-02-05  Ross Burton  <ross@openedhand.com>

	* src/archive_window.c:
	Set the downloading window as transient for the main window.

2008-01-23  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (main_load_default_config), (main):
	Add command line options to pre-specify host and port.

2007-10-26  Richard Purdie  <richard@openedhand.com>

	* data/oprofile-viewer.glade:
	Fix spelling error.

2007-10-25  Rob Bradford  <rob@openedhand.com>

	* server/opserver.c: (server_do_command_wrapper),
	(server_handle_command_archive), (main):
	Fix error handling to avoid memory corruption.

2007-10-25  Rob Bradford  <rob@openedhand.com>

	* README:
	* data/oprofile-viewer.glade:
	Fix spelling error.

2007-10-25  Rob Bradford  <rob@openedhand.com>

	* Makefile.am:
	* configure.ac:
	* data/Makefile.am:
	Add magic for i18n.

	* src/Makefile.am:
	Include oprofileui.h in oprofile_viewer_SOURCES so that it gets
	included in the dist.

	* data/oprofile-viewer.desktop.in:
	Replacement for oprofile-viewer.desktop

	* src/archive_save_window.c: (archive_save_window_show),
	(archive_save_window_progress):
	* src/archive_window.c: (archive_window_show),
	(archive_window_file_list_finished),
	(archive_window_file_get_started):
	* src/avahi-ui.c: (client_callback), (resolve_callback),
	(browse_callback), (domain_browse_callback), (get_domain_name),
	(start_callback), (response_callback), (domain_button_clicked),
	(aui_service_dialog_init):
	* src/client.c: (client_handle_response_status), (client_connect):
	* src/main.c: (main_connection_lost_cb), (on_save_clicked),
	(on_open_clicked), (on_compare_clicked), (on_menu_about_activate),
	(main):
	* src/view.c: (view_show_details_symbol_common_tv_setup),
	(view_show_details_symbol_common), (view_show_details_module),
	(view_setup_symbol_instances_tv), (view_setup_module_instances_tv),
	(view_setup):
	Gettextify strings.

2007-10-23  Jorn Baayen  <jorn@openedhand.com>

	* data/oprofile-viewer.glade:
	Add "(Un)compare" menu items and "Compare" toolbar item.

	* src/main.c: (on_disconnect_clicked), (main):
	Handle new menu and toolbar items.

	* src/report.c: (report_generate_from_archive),
	(report_new_from_archive_path), (compare_image), (compare_module),
	(compare_module_instance), (compare_symbol),
	(compare_symbol_instance), (report_get_treestore),
	(report_get_symbol_details_liststore),
	(report_update_child_list_model),
	(report_get_symbol_instance_callers),
	(report_get_symbol_instance_callees), (report_get_symbol_callers),
	(report_get_symbol_callees), (report_get_module_details_liststore):
	* src/report.h:
	Add support for comparing against a different report.
	Plug a leak.

	* src/view.c: (view_get_property), (view_set_property),
	(search_comparison_func), (cell_colourer),
	(view_show_details_symbol_common_tv_setup),
	(view_show_details_symbol_common),
	(view_show_details_symbol_instance), (view_show_details_symbol),
	(view_show_details_module), (on_tree_selection_changed),
	(view_setup_symbol_instances_tv), (view_setup_module_instances_tv),
	(view_setup), (view_set_display_mode), (view_class_init):
	Show a column with percentage increases when the displayed report
	is being compared against another. Display a percentage increase
	label in the module and symbol "Details" tabs.
	Plug several leaks.

2007-10-05  Richard Purdie  <richard@openedhand.com>

	* src/archive_save_window.c:
	* src/archive_save_window.h:
	* src/archive.c:
	Update archive save/open functionality after recent archive changes.
	Switch away from some gnome-vfs use due to erratic file counts.
	Update archive save window sine we know the total number of files
	in advance now.

2007-10-05  Richard Purdie  <richard@openedhand.com>

	* scripts/oparchconv:
	Fix test to ensure .converted file is created (avoiding double 
	conversions).

2007-10-03  Richard Purdie  <richard@openedhand.com>

	* src/archive.c:
	Add hostname and port into the cache path for better cache 
	performance with multiple hosts.

2007-10-03  Richard Purdie  <richard@openedhand.com>

	* README:
	Recommend oprofile 0.9.3 and update patches required.

2007-10-03  Richard Purdie  <richard@openedhand.com>

	* src/report.c:
	Convert to use --root option with oprofile instead of --image-path.
	This requires a patched oprofile but is the only way "sysroot" style
	support is going to work.

2007-10-01  Richard Purdie  <richard@openedhand.com>

	* scripts/oparchconv:
	Handle spaces safely.

2007-10-01  Richard Purdie  <richard@openedhand.com>

	* src/archive.c:
	Localhost and remote host downloading optimisations:
	Perform a filestat before downloading the file.
	Add archive_copyfile common funciton to hardlink or worse case copy 
	files.
	Populate the primary cache with hardlinked files.
	Based on the filestat information, check the primary cache before 
	downloading before downloading.
	Based on the filestat information also check the user supplied 
	binaries_location before downloading.

2007-10-01  Richard Purdie  <richard@openedhand.com>

	* src/archive.c:
	Remove get_finished varable and simplify logic a bit, add archive_file
	for the actively downloading file.

2007-10-01  Richard Purdie  <richard@openedhand.com>

	* src/archive.c:
	* src/archive.h:
	* src/main.c:
	Split archive_path into two paths using the pid for the base path and 
	placing the active trace files in an active directory.
	Split the cleanup functions to mirror this.
	Create archive_removedir funciton for code reuse.

2007-10-01  Richard Purdie  <richard@openedhand.com>

	* src/client.c:
	* src/client.h:
	Add filestat send and response routines.
	Simplify an error handling printf.
	Fix filestat response handling.

	* src/archive.c:
	* src/archive.h:
	Add simple archive_filestat_got routine.

2007-10-01  Richard Purdie  <richard@openedhand.com>

	* protocol/response.h:
	Use 64 bit values for size and timestamp values so operation 
	between 32 and 64 bit machines is safe.

2007-10-01  Richard Purdie  <richard@openedhand.com>

	* src/report.c:
	Optimise for localhost, pass image-path option to opreport if set 
	(and if not localhost). Passing directories containing large numbers
	of files causes opreport to OOM due to bad design in opreport.

2007-10-01  Richard Purdie  <richard@openedhand.com>

	* src/testparser.c:
	Generate dummy config structure so we can safely reference the
	config variables in shared code.

2007-10-01  Richard Purdie  <richard@openedhand.com>

	* src/main.c:
	* src/main.h:
	* src/oprofileui.h:
	Move oprofileui_config to a new more global header file and fix a 
	typo in one of its members.

2007-09-28  Richard Purdie  <richard@openedhand.com>

	* src/archive.c:
	Call the gtk main loop when downloading files to keep the progress 
	bar updated.

2007-09-26  Richard Purdie  <richard@openedhand.com>

	* src/client.c:
	* src/main.c:
	* src/main.h:
	* protocol/command.h:
	* protocol/response.h:
	* server/opserver.c:
	Change status response to contain a version field so server/viewer
	mismatch can be easily detected.

2007-09-26  Richard Purdie  <richard@openedhand.com>

	* src/client.c:
	* src/client.h:
	* src/main.c:
	* src/main.h:
	* data/oprofile-viewer.glade:
	Add settings dialog and connect into gconf and the app.

2007-09-26  Richard Purdie  <richard@openedhand.com>

	* src/main.c:
	Don't require a status update after starting profiling (hence reducing
	impact on the profiled system).

2007-09-26  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (main_set_state):
	Set the cursor to the GDK_BUSY state when the application is 'busy'.

2007-09-25  Richard Purdie  <richard@openedhand.com>

	* src/client.c:
	* src/client.h:
	* src/main.c:
	* src/main.h:
	* protocol/command.h:
	* protocol/response.h:
	* server/opserver.c:
	Add a "config" command to the server separating this from the 
	"start" command to decrese the overhead of starting traces.

2007-09-25  Richard Purdie  <richard@openedhand.com>

	* src/main.c:
	Hide the archive window if the download fails allowing program
	operation to continue.

2007-09-25  Richard Purdie  <richard@openedhand.com>

	* src/main.h:
	* src/main.c:
	Refactor control button/menu sensitivity settings into a common
	function with different states.

2007-09-25  Richard Purdie  <richard@openedhand.com>

	* protocol/command.h:
	* protocol/response.h:
	* server/opserver.c:
	Add command to the server to allow querying of the status of a file.

2007-09-25  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (main_archive_finished_cb), (on_open_clicked),
	(on_menu_group_by_application_toggled),
	(on_menu_group_by_module_toggled), (on_filter_entry_activate),
	(on_filter_clear_button_clicked), (main):
	Switch to using the revamped View and Report objects.

	* src/parser.c: (parser_state_new), (lookup_in_module_table):
	Tidy up the parser code. Remove unnecessary code.

	* src/report.c: (report_class_init), (report_init),
	(report_generate_from_archive), (report_new_from_archive_path),
	(report_get_treestore), (report_get_symbol_details_liststore),
	(report_update_child_list_model),
	(report_get_symbol_instance_callers),
	(report_get_symbol_instance_callees), (report_get_symbol_callers),
	(report_get_symbol_callees), (report_get_module_details_liststore):
	* src/report.h:
	Switch the Report class away from being a singleton and make the API
	more GObjecty.

	* src/view.c: (view_get_property), (view_set_property),
	(filter_func), (search_comparison_func), (cell_colourer),
	(view_show_details_symbol_common),
	(view_show_details_symbol_instance), (view_show_details_symbol),
	(view_show_details_module), (on_tree_selection_changed),
	(view_setup_symbol_instances_tv), (view_setup_module_instances_tv),
	(view_setup), (view_set_display_mode), (view_class_init),
	(view_init), (view_new):
	* src/view.h:
	Make view a GObject and maintain state internally.

2007-09-25  Rob Bradford  <rob@openedhand.com>

	* data/oprofile-viewer.glade:
	Make the module data label selectable.
	Fix the name of the module_notebook (for some reason it changed to
	notebook1 in r127.)

2007-09-25  Richard Purdie  <richard@openedhand.com>

	* configure.ac:
	* src/main.c:
	Add gconf support for connect_dialog options

2007-09-25  Ross Burton  <ross@openedhand.com>

	* data/oprofile-viewer.glade:
	Make the symbol data label selectable.

2007-09-25  Richard Purdie  <richard@openedhand.com>

	* data/oprofile-viewer.glade:
	Add Control menu and Options menu option

2007-09-24  Richard Purdie  <richard@openedhand.com>

	* src/main.c:
	* data/oprofile-viewer.glade:
	Add locahost option to connection dialog

2007-09-24  Richard Purdie  <richard@openedhand.com>

	* src/client.c:
	Add support for connecting to a local domain socket.

2007-09-24  Richard Purdie  <richard@openedhand.com>

	* protocol/command.h:
	* server/opserver.c:
	Start the oprofile-server listening on a domain socket too for
	localhost use.

2007-09-20  Richard Purdie  <richard@openedhand.com>

	* server/mdns.c:
	Improve error message

2007-09-03  Ross Burton  <ross@openedhand.com>

	* Makefile.am:
	Use $(docdir).

2007-07-18  Ross Burton  <ross@openedhand.com>

	* src/avahi-ui.[ch]:
	* src/Makefile.am:
	Add copy of the avahi service browser widget

	* data/oprofile-viewer.glade:
	* src/main.c:
	Add a Browse button to the Connect dialog if avahi is enabled.

2007-05-13  Rob Bradford  <rob@openedhand.com>

	* src/main.c:
	Remove backend.h and remote_backend.h includes that slipped into the
	last commit.

2007-05-06  Rob Bradford  <rob@openedhand.com>

	* src/archive.c: (archive_get_next_file),
	(archive_handle_response), (archive_file_got):
	* src/archive.h:
	* src/client.c: (client_handle_response_status),
	(client_handle_response_stop), (client_handle_response_reset),
	(client_handle_response_start), (client_handle_response_archive),
	(client_handle_response_get), (client_handle_connection_lost),
	(client_channel_read_cb), (client_connect), (client_disconnect),
	(client_send_command), (client_send_command_archive),
	(client_send_command_get), (client_send_command_start),
	(client_send_command_reset), (client_send_command_stop),
	(client_send_command_status), (client_new):
	* src/client.h:
	* src/main.c: (on_stop_clicked), (on_reset_clicked),
	(on_start_clicked), (on_download_clicked),
	(main_start_response_cb), (main_stop_response_cb),
	(main_reset_response_cb), (main_archive_response_cb),
	(main_archive_finished_cb), (main_connect_response_cb),
	(on_connect_clicked), (on_disconnect_clicked), (main):
	Move from static variables in client.c to a struct allocated on the
	heap.

2007-04-17  Ross Burton  <ross@openedhand.com>

	* configure.ac:
	Add optional and disabled by default Avahi support.

	* server/mdns.[ch]:
	* server/opserver.c:
	* server/Makefile.am:
	Add Avahi code to announce the server.

2007-04-17  Ross Burton  <ross@openedhand.com>

	* server/opserver.c:
	Use GIOChannel for handling the network connection.

2007-04-16  Ross Burton  <ross@openedhand.com>

	* protocol/*:
	* server/*:
	* src/*:
	* Makefile.am:
	* configure.ac:
	Split shared source into protocol/, the server into server/, and
	keep just the client in src/.

2007-04-13  Rob Bradford  <rob@openedhand.com>

	* NEWS:
	* configure.ac:
	Release 0.1.1.

2007-04-13  Rob Bradford  <rob@openedhand.com>

	* data/Makefile.am:
	Add some missing files to EXTRA_DIST to get the distcheck to pass.

2007-04-13  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (main):
	Set the default icon for the windows.

2007-04-13  Rob Bradford  <rob@openedhand.com>

	* scripts/oparchconv:
	Make the 'oparchconv' script sh compatible.

2007-04-13  Rob Bradford  <rob@openedhand.com>

	* scripts/oparchconv:
	Make the shbang line use /bin/bash since that is what the script
	requires.

2007-04-13  Rob Bradford  <rob@openedhand.com>

	* data/Makefile.am:
	* data/oprofile-viewer.desktop:
	* data/oprofile-viewer-*.png:
	* data/oprofile-viewer.svg:
	Add icons and change name in .desktop file.

2007-04-13  Rob Bradford  <rob@openedhand.com>

	* NEWS:
	Release 0.1.

2007-04-13  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (on_menu_about_activate):
	Fix email address in about box and add copyright statement.

2007-04-12  Rob Bradford  <rob@openedhand.com>

	* src/archive.c: (archive_get_archive_path):
	Use the contents of the TMPDIR environment variable when generating
	the archive path (patch from Eero Tamminen.)

2007-04-03  Ross Burton  <ross@openedhand.com>

	* src/main.c:
	Add a missing cast.

2007-04-03  Ross Burton  <ross@openedhand.com>

	* debian/dirs:
	* debian/docs:
	* debian/oprofileui-client.install:
	Removed obsolete files created by dh_make.

	* debian/control:
	Add build-depends.

2007-04-02  Rob Bradford,,,  <rob@openedhand.com>

	* debian/changelog:
	* debian/compat:
	* debian/control:
	* debian/copyright:
	* debian/dirs:
	* debian/docs:
	* debian/oprofileui-server.install:
	* debian/oprofileui-viewer.install:
	* debian/rules:
	Add Debian packaging.

2007-04-02  Rob Bradford  <rob@openedhand.com>

	* configure.ac:
	* po/Makefile.in.in:
	* src/Makefile.am:
	Build system fixes.

2007-04-02  Rob Bradford  <rob@openedhand.com>

	* data/oprofile-viewer.glade:
	Change window title.

2007-03-26  Richard Purdie <rpurdie@openedhand.com>

	* scripts/oparchconv:
	Add error handling and make sh compatible.
	* README:
	Add index.

2007-03-19  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (main):
	Handle a missing glade file more gracefully.

2007-03-19  Rob Bradford  <rob@openedhand.com>

	* src/Makefile.am:
	Remove unnnecessary AM_CFLAGS entry.

2007-03-19  Rob Bradford  <rob@openedhand.com>

	* scripts/Makefile.am:
	* src/Makefile.am:
	* src/report.c: (report_convert_archive):
	Move the oparchconv script to the bin directory for the prefix.

2007-03-15  Rob Bradford  <rob@openedhand.com>

	* src/testparser.c: (main):
	Make the testparser more robust and add --help output.

2007-03-15  Rob Bradford  <rob@openedhand.com>

	* src/Makefile.am:
	* src/testclient.c:
	Remove old testclient code. This code is not really useful any more.

2007-03-15  Rob Bradford  <rob@openedhand.com>

	* README:
	Update to include note about patches and CVS snapshot.

2007-03-07  Ross Burton  <ross@openedhand.com>

	* data/Makefile.am:
	* data/oprofile-viewer.desktop:
	Add a desktop file for the UI.

2007-03-07  Ross Burton  <ross@openedhand.com>

	* src/opserver.c:
	Use GLib warning/debug calls instead of printf.

2007-03-06  Thomas Wood  <thomas@openedhand.com>

	* src/client.c: (client_connect): Prevent a segmentation fault if we couldn't
	resolve the hostname to connect to.

2007-03-06  Thomas Wood  <thomas@openedhand.com>

	* data/oprofile-viewer.glade:
	* src/main.c: (on_connect_clicked):

	- Improve the spacing in the search bar
	- Ensure the entry widgets in the connect dialog activate the default widget

2007-03-02  Rob Bradford  <rob@openedhand.com>

	* data/oprofile-viewer.glade:
	Fix the capitalisation of entries in the view menu.

2007-03-02  Rob Bradford  <rob@openedhand.com>

	* data/oprofile-viewer.glade:
	* src/main.c: (main_archive_finished_cb), (on_open_clicked):
	Make the filter hbox insensitive until a report has been loaded.

2007-03-02  Rob Bradford  <rob@openedhand.com>

	* data/oprofile-viewer.glade:
	* src/view.c: (view_show_details_symbol_common),
	(view_show_details_module):
	Revamp the UI to add notebooks in the bottom pane rather than having
	the information all on one page.

2007-03-02  Rob Bradford  <rob@openedhand.com>

	* data/oprofile-viewer.glade:
	* src/main.c: (on_filter_entry_activate),
	(on_filter_clear_button_clicked), (main):
	* src/view.c: (view_update_filter), (filter_func),
	(view_set_display):
	* src/view.h:
	Add search filter functionality to the user interface. This is done by
	nesting the real model under a filter model and that under a sorted
	model.

2007-03-02  Rob Bradford  <rob@openedhand.com>

	* src/opserver.c: (server_handle_command_archive):
	Make the server return a slightly more useful error in the case of
	trying to download data from the target when none is present.

2007-03-02  Rob Bradford  <rob@openedhand.com>

	* README:
	Add useful information to the README.

2007-03-02  Rob Bradford  <rob@openedhand.com>

	* src/opserver.c: (server_handle_command_start),
	(server_handle_command_stop), (server_handle_command_status),
	(server_handle_command_reset), (server_handle_command_get),
	(server_handle_command_unknown):
	Make 'debugging' print statements in the server conditional on the
	--verbose flag.

2007-03-02  Rob Bradford  <rob@openedhand.com>

	* src/opserver.c: (main):
	The server now checks for root privileges.

2007-03-01  Rob Bradford  <rob@openedhand.com>

	* data/oprofile-viewer.glade:
	Set the transient nature of the archive_window & archive_save_window
	again.

2007-03-01  Rob Bradford  <rob@openedhand.com>

	* src/view.c: (search_comparison_func),
	(view_show_details_symbol_common_tv_setup),
	(view_show_details_symbol_common), (view_show_details_module),
	(view_setup):
	Add in-situ seaching to the treeview widgets.

2007-03-01  Rob Bradford  <rob@openedhand.com>

	* src/report.h:
	Add missing prototype to report.h.

2007-03-01  Rob Bradford  <rob@openedhand.com>

	* data/oprofile-viewer.glade:
	* src/archive_save_window.c: (on_archive_save_window_delete_event),
	(archive_save_window_setup):
	* src/archive_window.c: (on_archive_window_delete_event),
	(archive_window_show):
	Block the delete-event for the popup archive_window &
	archive_save_window.

2007-03-01  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (on_reset_clicked):
	Turn off the start button when the reset button is pressed.

2007-03-01  Rob Bradford  <rob@openedhand.com>

	* src/report.c: (report_get_symbol_callers),
	(report_get_symbol_callees):
	* src/view.c: (view_show_details_symbol_common),
	(view_show_details_symbol_instance), (view_show_details_symbol):
	Add support for caller/callee information in the symbol itself when in
	not in "group by application" mode. This is the aggregation of the
	callers/callees for that particular symbol.

2007-02-28  Rob Bradford  <rob@openedhand.com>

	* src/client.c: (client_handle_response_archive):
	Make sure we show the archive window before we start changing its
	contents.

2007-02-28  Rob Bradford  <rob@openedhand.com>

	* src/report.c: (report_update_child_list_model),
	(report_get_symbol_instance_callers),
	(report_get_symbol_instance_callees):
	Refactor the report_get_symbol_instance_* functions such that the
	common code is included in the report_update_child_list_model
	function. This can then be used for the callees/callers of the
	symbol itself (rather than instance.)

2007-02-28  Rob Bradford  <rob@openedhand.com>

	* src/parser.c: (parser_endElement):
	* src/symbol.c: (symbol_init), (symbol_child_increment_count),
	(symbol_callee_increment_count), (symbol_caller_increment_count),
	(symbol_set_module):
	* src/symbol.h:
	Add support for generating aggregated callee/caller information for
	the symbols themselves.

	* src/testparser.c: (testparser_show_output):
	Add test code to show these new details.

2007-02-28  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (main):
	Use the correct name for the signal handlers for the download & reset
	menu items.

2007-02-28  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (main_connection_lost_cb), (on_disconnect_clicked),
	(main):
	Add some more missing GUI glue for the reset functionality.
	Add missing signal connection for download menu item.

2007-02-28  Rob Bradford  <rob@openedhand.com>

	* data/oprofile-viewer.glade:
	Add reset toolbar button/menu item.

	* src/client.c: (client_handle_response_reset),
	(client_channel_read_cb), (client_send_command_reset):
	* src/client.h:
	Client side of reset command functionality.

	* src/main.c: (on_stop_clicked), (on_reset_clicked),
	(on_start_clicked), (on_download_clicked),
	(main_reset_response_cb), (main_archive_response_cb),
	(main_status_response_cb), (main):
	* src/main.h:
	Add glue to use reset functionality.

	* src/command.h:
	* src/opserver.c: (server_handle_command_reset),
	 (server_handle_command):
	Add a reset command to the server.

	* src/opserver.c: (server_handle_command_archive):
	Fix a copy and paste bug.

2007-02-27  Rob Bradford  <rob@openedhand.com>

	* src/view.c: (view_set_display):
	Add missing semicolon.

2007-02-27  Thomas Wood  <thomas@openedhand.com>

	* data/oprofile-viewer.glade:
	- Set shrink/resize policies for main vpaned
	- Update expand properties for the symbol expanders

2007-02-27  Rob Bradford  <rob@openedhand.com>

	* src/report.c: (report_get_treestore):
	* src/view.c: (view_set_display):
	Avoid segfault if the opreport execution fails for some reason

2007-02-27  Rob Bradford  <rob@openedhand.com>

	* data/gui.glade:
	Rename to oprofile-viewer.glade

	* data/Makefile.am:
	Install new oprofile-viewer.glade file into 'pkgdatadir'.

	* src/Makefile.am:
	* src/main.c: (main):
	Use full path to oprofile-viewer.glade if installed.

	* scripts/Makefile.am:
	Install oparchconv into the 'pkgdatadir' as a script rather than
	into the 'bindir'.

	* src/report.c: (report_convert_archive):
	Use the new path for oparchconv.

	* Makefile.am:
	* configure.ac:
	Use new data & scripts directories in the build system

2007-02-27  Rob Bradford  <rob@openedhand.com>

	* data/gui.glade:
	Add separators to the main toolbar.

2007-02-27  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (on_menu_about_activate), (main):
	Add an about box.

2007-02-27  Rob Bradford  <rob@openedhand.com>

	* data/gui.glade:
	UI improvements. Set a default port in the connect dialog.

	* src/opserver.c: (main):
	Use this default port (4224.)

2007-02-27  Rob Bradford  <rob@openedhand.com>

	* src/archive.c: (archive_get_archive_path),
	(archive_set_archive_path), (archive_handle_response),
	(archive_load), (archive_cleanup):
	* src/archive.h:
	* src/main.c: (main):
	Cleanup the archive directory in /tmp when it is finished with.

2007-02-26  Rob Bradford  <rob@openedhand.com>

	* src/parser.c: (parser_get_report_from_buffer):
	Make more code conditional on glib 2.12.

2007-02-26  Rob Bradford  <rob@openedhand.com>

	* data/gui.glade:
	Tweak the archive window titles & make them modal.

2007-02-26  Rob Bradford  <rob@openedhand.com>

	* configure.ac:
	* src/Makefile.am:
	The client/server can be built conditionally with the --enable-client,
	--enable-server flags. The default is to build both.

2007-02-26  Rob Bradford  <rob@openedhand.com>

	* src/parser.c: (parser_get_report_from_file):
	Make useful, but not essential cleanup code that requires GLib 2.12
	conditional on having at least that version of GLib.

2007-02-26  Rob Bradford  <rob@openedhand.com>

	* src/archive.c: (archive_set_archive_path), (archive_save):
	* src/archive_window.c: (archive_window_file_list_finished),
	(archive_window_file_get_finished):
	* src/client.c: (client_handle_response_status),
	(client_handle_response_stop), (client_handle_response_start),
	(client_channel_read_cb):
	* src/main.c: (on_stop_clicked), (on_start_clicked):
	* src/report.c: (report_generate), (report_get_treestore):
	* src/view.c: (on_tree_selection_changed):
	Remove some superfluous print statements.

2007-02-26  Rob Bradford  <rob@openedhand.com>

	* src/view.c: (view_show_details_symbol_common_tv_setup),
	(view_show_details_symbol), (view_show_details_module),
	(view_setup):
	Give the TreeViews more descriptive column titles.

2007-02-26  Rob Bradford  <rob@openedhand.com>

	* data/gui.glade:
	* src/main.c: (main_archive_finished_cb):
	Make the options on the view menu sensitive only if there is a report
	loaded.

2007-02-26  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (main_archive_finished_cb):
	Turn the save functionality on once we have downloaded the archive.

2007-02-26  Rob Bradford  <rob@openedhand.com>

	* src/Makefile.am:
	Renamed the client to 'oprofile-viewer'.
	Marked the test code as 'noinst'.

2007-02-26  Rob Bradford  <rob@openedhand.com>

	* src/Makefile.am:
	* src/archive.c: (archive_handle_response):
	* src/callee_symbol_instance.c: (callee_symbol_instance_dispose):
	* src/caller_symbol_instance.c: (caller_symbol_instance_dispose):
	* src/main.c: (main_generic_error), (on_save_clicked),
	(on_open_clicked), (main):
	* src/module.c: (module_dispose):
	* src/module_instance.c: (module_instance_dispose):
	* src/parser.c: (parser_startElement):
	* src/report.c: (report_dispose):
	* src/report.h:
	* src/symbol.c: (symbol_dispose):
	* src/symbol_instance.c: (symbol_instance_dispose):
	Fix causes of compiler warnings.

2007-02-23  Rob Bradford  <rob@openedhand.com>

	* data/gui.glade:
	* src/main.c: (on_stop_clicked), (on_start_clicked),
	(on_download_clicked), (main_status_response_cb),
	(main_connection_lost_cb), (on_disconnect_clicked), (main):
	Add download toolbar button/menu item at RP's suggestion.

2007-02-23  Rob Bradford  <rob@openedhand.com>

	* src/parser.c: (parser_startElement):
	Check for self referential callee and mark it as such.

	* src/report.c: (report_get_symbol_instance_callees):
	Expose the self reference callee in the UI.

	* src/testparser.c: (testparser_show_output):
	Expose the self reference callee in the testparser.

2007-02-23  Rob Bradford  <rob@openedhand.com>

	* data/gui.glade:
	* src/report.c: (report_generate_from_archive), (report_generate),
	(report_get_symbol_instance_callees),
	(report_get_symbol_instance_callers):
	* src/view.c: (view_show_details_symbol_common_tv_setup),
	(view_show_details_symbol_instance), (on_tree_selection_changed):
	First stage of UI side of call-graph support. The details pane will
	show the callees/callers for individual instances of the symbol.
	Aggregated details for the symbol as a whole will come later.

2007-02-23  Rob Bradford  <rob@openedhand.com>

	* src/opserver.c: (server_handle_command_start):
	Make the server use call-graphing by default.

2007-02-23  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (on_open_clicked):
	Fix a crash when opening archives from disk.

	* scripts/oparchconv:
	Improve conversion script. It is now safer for filenames with spaces
	in and has a primitive mechanism for checking if an archive has
	already been converted.

2007-02-23  Rob Bradford  <rob@openedhand.com>

	* src/parser.c: (parser_get_report_from_file):
	Disabled some clean-up code that is only available in glib 2.12 and
	later.

2007-02-23  Rob Bradford  <rob@openedhand.com>

	* src/Makefile.am:
	* src/callee_symbol_instance.c: (callee_symbol_instance_dispose),
	(callee_symbol_instance_finalize),
	(callee_symbol_instance_class_init), (callee_symbol_instance_init),
	(callee_symbol_instance_new):
	* src/callee_symbol_instance.h:
	* src/caller_symbol_instance.c: (caller_symbol_instance_dispose),
	(caller_symbol_instance_finalize),
	(caller_symbol_instance_class_init), (caller_symbol_instance_init),
	(caller_symbol_instance_new):
	* src/caller_symbol_instance.h:
	* src/parser.c: (parser_state_new), (parser_startElement),
	(parser_endElement):
	* src/symbol_instance.c: (symbol_instance_dispose),
	(symbol_instance_init), (symbol_instance_set_symbol),
	(symbol_instance_set_image), (symbol_instance_add_callee),
	(symbol_instance_add_caller):
	* src/symbol_instance.h:
	* src/types.h:
	Add XML call-graph support to parser/data-structures.

	* src/report.c: (report_dispose):
	Remove unnecessary debug output.

	* src/testparser.c: (testparser_show_output), (main):
	Add code to testparser to show new callee/caller information.

2007-02-21  Rob Bradford  <rob@openedhand.com>

	* src/image.c: (image_dispose), (image_finalize),
	(image_class_init):
	* src/image.h:
	* src/module.c: (module_dispose), (module_finalize),
	(module_class_init):
	* src/module_instance.c: (module_instance_dispose),
	(module_instance_finalize), (module_instance_class_init),
	(module_instance_set_module), (module_instance_set_image):
	* src/parser.c: (parser_state_new), (lookup_in_symbol_table),
	(lookup_in_module_table), (parser_endElement),
	(parser_get_report_from_file), (parser_get_report_from_buffer):
	* src/report.c: (report_dispose), (report_finalize),
	(report_class_init), (report_add_symbol), (report_add_image),
	(report_add_module), (report_generate):
	* src/report.h:
	* src/symbol.c: (symbol_dispose), (symbol_finalize),
	(symbol_class_init), (symbol_set_module):
	* src/symbol_instance.c: (symbol_instance_dispose),
	(symbol_instance_finalize), (symbol_instance_class_init),
	(symbol_instance_set_symbol), (symbol_instance_set_image):
	Add framework for cleaning up the Report GObject and it's component
	parts.

2007-02-20  Rob Bradford  <rob@openedhand.com>

	* src/image.c: (image_add_symbol_instance),
	(image_add_module_instance):
	* src/image.h:
	* src/module.c: (module_add_instance), (module_add_symbol):
	* src/module.h:
	* src/module_instance.c: (module_instance_set_module),
	(module_instance_add_symbol_instance), (module_instance_set_image):
	* src/module_instance.h:
	* src/parser.c: (lookup_in_symbol_table), (parser_startElement),
	(parser_endElement):
	* src/symbol.c: (symbol_add_instance), (symbol_set_module):
	* src/symbol.h:
	* src/symbol_instance.c: (symbol_instance_set_symbol),
	(symbol_instance_set_image):
	* src/symbol_instance.h:
	Switch over from assigning directly to the struct attributes to using
	some mutator methods. The main reason for this change is to make it
	easier to ensure g_object_ref is called as appropriate.

2007-02-20  Rob Bradford  <rob@openedhand.com>

	* src/Makefile.am:
	* src/main.c: (main_archive_finished_cb):
	* src/parser.c:
	* src/report.c: (report_class_init), (report_init), (report_new),
	(report_generate):
	* src/report.h:
	Convert Report over to being a GObject in preparation for some memory
	management improvements.

2007-02-20  Rob Bradford  <rob@openedhand.com>

	* src/opserver.c: (main):
	Add GOption support to oprofile-server. There is now a default port
	set to 1234.

2007-02-20  Rob Bradford  <rob@openedhand.com>

	* src/view.c: (view_show_details_symbol),
	(view_show_details_module), (view_set_display):
	Made the sorting behaviour of the treeview on the module/symbol info
	panes consistent with the behaviour of the main treeview.

2007-02-20  Rob Bradford  <rob@openedhand.com>

	* src/view.c: (view_setup), (view_set_display):
	Make the percentage column sorted in descending order by default and
	upon view mode change.

2007-02-19  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (on_main_window_delete_event),
	(on_main_window_destroy), (on_menu_quit_activate), (main):
	Quit item on the menu now causes the application to quit.

2007-02-19  Rob Bradford  <rob@openedhand.com>

	* data/gui.glade:
	* src/main.c: (on_stop_clicked), (on_start_clicked),
	(main_connect_response_cb), (main_disconnect_response_cb),
	(main_status_response_cb), (main_connection_lost_cb),
	(on_save_clicked), (on_open_clicked), (on_connect_clicked),
	(on_disconnect_clicked), (main):
	Add menu functionality that duplicates that of the buttons.

2007-02-19  Rob Bradford  <rob@openedhand.com>

	* src/main.c: (on_toolbar_open_clicked):
	Generate the report and display it for the open command.

2007-02-19  Rob Bradford  <rob@openedhand.com>

	* data/gui.glade:
	Remove archive/profile buttons.

	* src/archive.c: (archive_fully_downloaded),
	(archive_get_next_file):
	Move the call to archive_fully_downloaded so that it is sure to happen
	after the very last file. Call the main_archive_finished_cb at this
	point.

	* src/client.c: (client_handle_response_stop):
	Call main_stop_response_cb here.

	* src/main.c: (main_stop_response_cb), (main_archive_response_cb),
	(main_archive_finished_cb), (main_connect_response_cb), (main):
	Make the archive retrieval and profiling happen as part of the
	operation of the stop button.

	* src/main.h:
	Add prototype for main_archive_finished_cb

2007-02-19  Rob Bradford  <rob@openedhand.com>

	* src/opserver.c: (main):
	Check that there is a port provided on the command line.

2007-02-19  Rob Bradford  <rob@openedhand.com>

	* src/client.c: (client_handle_response_status),
	(client_send_command_status):
	* src/main.c: (on_toolbar_stop_clicked),
	(on_toolbar_start_clicked), (main_connect_response_cb),
	(main_status_response_cb), (main_connection_lost_cb),
	(on_toolbar_connect_clicked), (on_toolbar_disconnect_clicked):
	* src/main.h:
	Implement more of the state enforcement. Start/stop buttons are now
	sensitive based on the state. Disconnect is also disabled whilst
	waiting for a command itself.

2007-02-19  Rob Bradford  <rob@openedhand.com>

	* data/gui.glade:
	Make some of the toolbar buttons insensitive

	* src/main.c: (main_connect_response_cb),
	(main_disconnect_response_cb), (on_toolbar_connect_clicked),
	(on_toolbar_disconnect_clicked):
	* src/main.h:
	Start enforcing state on the GUI; connect/disconnect for starters.
	This necessitated a main_disconnect_response_cb as per
	main_connect_response_cb.

	* src/client.c: (client_disconnect):
	Invoke the new main_disconnect_response_cb on disconnect.

2007-02-16  Rob Bradford  <rob@openedhand.com>

	* src/archive.c: (archive_get_archive_path),
	(archive_set_archive_path), (archive_handle_response),
	(archive_save), (archive_load):
	Fixed the archive_path generation to use something more sensible than
	just /tmp/archive-foo. It now is based on the date/time.
	On the first save the archive is moved to the destination rather than
	copied which is much faster. This required a mutator function to set
	archive_path. The archive_load for loading an archive from disk was
	switched over to use this function.

2007-02-16  Rob Bradford  <rob@openedhand.com>

	* Makefile.am:
	* scripts/oparchconv:
	Add previously mentioned 'oparchconv' script.

2007-02-16  Rob Bradford  <rob@openedhand.com>

	* src/report.c: (report_convert_archive), (report_generate):
	Add functionality to convert archive to host architecture using an
	'oparchconv' script.

2007-02-14  Rob Bradford  <rob@openedhand.com>

	* src/archive.c: (archive_get_next_file):
	Clear the static pointer into the list, otherwise you get very strange
	behaviour.

2007-02-14  Rob Bradford  <rob@openedhand.com>

	* INSTALL:
	Needed for poky integration.

2007-02-13  Rob Bradford  <rob@openedhand.com>

	* src/archive.c: (print_list_entry), (archive_fully_downloaded),
	(archive_get_next_file), (archive_save):
	* src/archive.h:
	* src/archive_save_window.c: (archive_save_window_progress):
	* src/archive_save_window.h:
	* src/archive_window.c: (archive_window_file_list_finished),
	(archive_window_file_get_finished):
	* src/archive_window.h:
	* src/client.c: (client_handle_response_status),
	(client_handle_response_stop), (client_handle_response_start),
	(client_channel_read_cb), (client_connect), (client_send_command):
	* src/client.h:
	* src/image.h:
	* src/main.c: (on_toolbar_stop_clicked),
	(on_toolbar_start_clicked), (main_generic_error),
	(on_toolbar_archive_clicked), (on_toolbar_profile_clicked),
	(on_main_window_delete_event), (on_main_window_destroy), (main):
	* src/main.h:
	* src/module.h:
	* src/module_instance.h:
	* src/opserver.c: (server_setup_socket),
	(server_do_command_wrapper), (server_handle_command_start),
	(server_handle_command_stop), (server_handle_command_status),
	(server_handle_command_archive), (server_handle_command_get),
	(server_handle_command_unknown), (server_handle_connection),
	(server_main_loop):
	* src/parser.c: (parser_characters):
	* src/report.c: (report_generate_from_archive), (report_generate),
	(report_get_treestore), (report_get_symbol_details_liststore),
	(report_get_module_details_liststore):
	* src/report.h:
	* src/symbol.h:
	* src/symbol_instance.h:
	* src/testclient.c: (client_connect), (client_send_command_start),
	(client_send_command_stop), (client_send_command_archive),
	(client_send_command_get):
	* src/testparser.c: (testparser_show_output), (main):
	* src/types.h:
	* src/view.c: (view_show_details_symbol),
	(view_show_details_module), (on_tree_selection_changed),
	(view_setup), (view_set_display):
	* src/view.h:
	Fix compiler warnings. This necessitated separating the typedef from
	the definition of the struct. These typedefs have been moved to
	types.h

2007-02-13  Rob Bradford  <rob@openedhand.com>

	* src/util.c:
	Add an include for <sys/sendfile.h>.

2007-02-12  Rob Bradford  <rob@openedhand.com>

	* src/client.c: (client_handle_response_status),
	(client_handle_response_stop), (client_channel_read_cb),
	(client_send_command_status):
	* src/command.h:
	* src/main.c: (main_start_response_cb), (main_stop_response_cb),
	(main_connect_response_cb), (main_status_response_cb):
	* src/opserver.c: (server_handle_command_start),
	(server_handle_command_stop), (server_handle_command_status),
	(server_handle_command):
	* src/response.h:
	Implementation of a STATUS command to get running/stopped state from
	the server and appropriate changes in the server to let this happen.

2007-02-09  Rob Bradford  <rob@openedhand.com>

	* src/Makefile.am:
	Add util.c to the list of source files for the client.

	* src/client.c: (client_handle_response_stop),
	(client_handle_response_start), (client_handle_response_archive),
	(client_handle_response_get), (client_handle_connection_lost),
	(client_channel_read_cb), (client_connect), (client_send_command),
	(client_send_command_archive), (client_send_command_get),
	(client_send_command_start), (client_send_command_stop):
	Memory management fixes, improved error handling. Switch to using
	util_write_in_full for the writing of the file in the GET case.

	* src/main.c: (on_toolbar_stop_clicked), (main_generic_error),
	(main_start_response_cb), (main_stop_response_cb),
	(main_archive_response_cb), (main_connect_response_cb),
	(main_connection_lost_cb), (on_toolbar_save_clicked),
	(on_toolbar_open_clicked), (main):
	GUI tweaks. UI side of error handling.

2007-02-09  Rob Bradford  <rob@openedhand.com>

	* src/opserver.c: (server_response_new),
	(server_do_command_wrapper), (server_handle_command_start),
	(server_handle_command_stop), (server_handle_command_archive),
	(server_handle_command_get):
	Tidying up + compiler warning fixes.

2007-02-08  Rob Bradford  <rob@openedhand.com>

	* configure.ac:
	* src/Makefile.am:
	Make the server only link against glib.

	* src/opserver.c: (server_do_command_wrapper),
	(server_handle_command_start), (server_handle_command_stop),
	(server_handle_command_archive), (server_handle_command_get),
	(server_handle_connection), (server_main_loop), (main):
	General tidying up, commenting.
	Checked all memory allocations and fixed some leaks.

2007-02-08  Rob Bradford  <rob@openedhand.com>

	* src/opserver.c:
	Make functions static.

2007-02-08  Rob Bradford  <rob@openedhand.com>

	* src/client.c: (client_handle_response_get),
	(client_channel_read_cb), (client_connect), (client_disconnect):

	Add some fixes to ensure connect/disconnect cycles work correctly;
	made the I/O channel non-blocking (to avoid blocking on empty reads)
	and force an update of the I/O channel internal state with
	g_io_channel_get_flags. Bit ugly.

	* data/gui.glade:
	* src/main.c: (on_toolbar_save_clicked), (on_toolbar_open_clicked),
	(on_toolbar_connect_clicked), (on_toolbar_disconnect_clicked),
	(on_menu_group_by_module_toggled), (main):
	First go at GUI code necessary for connect/disconnect.

	* trunk/src/Makefile.am:
	Add new archive_save_window.c to the list of source files for the
	client binary.


